; docformat = 'rst'
;+
; .. _anaclimecm.pro:
;
; ==============
; anaclimecm.pro
; ==============
;
; lecture climato ECMWF / analyses oprationnelles de 2002  2007, ERA40 de 2000  2001
; rapatris sur le mac (stagiaire)
;
; :Uses:
;  :ref:`grossemoyenne <saxo:grossemoyenne>`
;
; :Restrictions:
;
; :Pre:
;
; :Post:
;
; :Todo:
;
; make it work. missing data
;
; :Examples:
;
; To produce a PNG file :
;
; ::
;
;    anaclimecm
;
; :History:
;
;   $Id: anaclimecm.pro 215 2011-04-26 10:33:10Z pinsard $
;
; - fplod 20110422T160917Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * get rid of uppercase in file name and pro name
;   * usage of PROJECT
;
; - fplod 20100701T130054Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * minimal header
;
;-
pro anaclimecm
;
@cm_project
;
;champs de surface
;;;;;;;;;;;;;;;;;;;
no=1
file1 = project_id_env + 'climato.msl.2002.2007.6TU.nc'
file2 = project_id_env + 'climato.msl.2000.2001.6TU.nc'
chp='msl'
print,file1
initncdf, file1, glam = [-180,180]
domdef,-30,40,-30,40

imois=9  ;avriljuillet

mois=['Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec']
mo_lon=[31,28,31,30,31,30,31,31,30,31,30,31]
nbj=daysinmonth(imois,2006)
j1=total(mo_lon(0:imois-2))
j2=j1+nbj-1
data1 = read_ncdf(chp,j1,j2,/timestep, file = file1)
data2 = read_ncdf(chp,j1,j2,/timestep, file = file2)
data=(2./8.)*data2.arr+(6./8.)*data1.arr

datamoy=grossemoyenne(data,'t')/100. ; hPa
interv=2
plt,datamoy,window=0,/realcont,/cont_nofill,interv=interv,inv=1,title=chp+'  '+mois(imois-1)+" climatology",/rempli,small=[3,2,no],/noerase
no=no+1

saveimage,'sorties/'+chp+'climatology'+'saison.png',/png

; champs volumiques : variable sur un seul niveau (r)
;;;;;;;;;;;;;;;;;;;
; trace cartes : a faire avant hovmueller pour lecture gdept (ne marche pas dans ssprgm read_ecm3d)
lo1=-30 & lo2=40 & la1=-30 & la2=40
no=1
chp='r'
lev1=700 & lev2=850   ; choix du niveau de pression
lev=(lev1+lev2)/2.
; choix du mois a tracer
imois=9  ;juillet
mois=['Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec']
mo_lon=[31,28,31,30,31,30,31,31,30,31,30,31]
nbj=daysinmonth(imois,2006)
j1=total(mo_lon(0:imois-2))
j2=j1+nbj-1
;lecture premier fichier (OPERA)
file1 = 'stagiaire/climato.r.2002.2007.6TU.nc'
print,file1
initncdf, file1,zaxis='level', glam = [-180,180]
print, gdept
domdef,lo1,lo2,la1,la2,lev1,lev1
data1 = read_ncdf(chp,j1,j2,/timestep, file = file1)
domdef,lo1,lo2,la1,la2,lev2,lev2
data2= read_ncdf(chp,j1,j2,/timestep, file = file1)
datamoy1=reform(data1.arr+data2.arr)/2.
; lecture deuxieme fichier (ERA)
file2 = 'stagiaire/climato.r.2000.2001.6TU.nc'
initncdf, file2,zaxis='level', glam = [-180,180]
print, gdept
domdef,lo1,lo2,la1,la2,lev1,lev1
data1 = read_ncdf(chp,j1,j2,/timestep, file = file2)
domdef,lo1,lo2,la1,la2,lev2,lev2
data2= read_ncdf(chp,j1,j2,/timestep, file = file2)
datamoy2=reform(data1.arr+data2.arr)/2.
data=(2./8.)*datamoy2+(6./8.)*datamoy1
datamoy=grossemoyenne(data,'t')
min=0 & max=100

plt,datamoy,window=0,/realcont,/cont_nofill,min,max,inv=1,title=chp+' '+mois(imois-1)+string(lev,format='(f5.0)')+'hPa',/rempli ,small=[3,2,no],/noerase
no=no+1

saveimage,'sorties/'+chp+'climatology-saison'+string(lev,format='(i4)')+'.png',/png

;champs volumiques : variable sur deux  niveaux (geopotentiel)
;;;;;;;;;;;;;;;;;;;
no=1
chp1='geopt'
lev1=700   ; choix du niveau de pression
lev2=925
lo1=-30 & lo2=40 & la1=-30 & la2=40
; choix du mois a tracer
imois=9  
mois=['Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec']
mo_lon=[31,28,31,30,31,30,31,31,30,31,30,31]
nbj=daysinmonth(imois,2006)
j1=total(mo_lon(0:imois-2))
j2=j1+nbj-1

;lecture premier fichier (OPERA)
file1 = 'stagiaire/climato.geopt.2002.2007.6TU.nc'
print,file1
initncdf, file1,zaxis='level', glam = [-180,180]
print, gdept
domdef,lo1,lo2,la1,la2,lev1,lev1
data1lev1 = read_ncdf(chp1,j1,j2,/timestep, file = file1)
domdef,lo1,lo2,la1,la2,lev2,lev2
data1lev2 = read_ncdf(chp1,j1,j2,/timestep, file = file1)
data1=data1lev1.arr-data1lev2.arr
; lecture deuxieme fichier (ERA)
chp2='z'
file2 = 'stagiaire/climato.z.2000.2001.6TU.nc'
initncdf, file2,zaxis='level', glam = [-180,180]
print, gdept
domdef,lo1,lo2,la1,la2,lev1,lev1
data2lev1 = read_ncdf(chp2,j1,j2,/timestep, file = file2)
domdef,lo1,lo2,la1,la2,lev2,lev2
data2lev2 = read_ncdf(chp2,j1,j2,/timestep, file = file2)
data2=data2lev1.arr-data2lev2.arr
data=(2./8.)*data2+(6./8.)*data1

datamoy=grossemoyenne(data2,'t')/1000
min=22 & max=24
plt,datamoy,window=0,min,max,/realcont,/cont_nofill,title='delta '+chp1+'/1000. '+mois(imois-1),/rempli ,small=[3,2,no],/noerase
no=no+1

saveimage,'sorties/'+chp1+'climatology-saison.png',/png


;lecture plusieurs mois pour hovmoeller : champ de surface
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
no=1
file1 = 'stagiaire/climato.msl.2002.2007.6TU.nc'
file2 = 'stagiaire/climato.msl.2000.2001.6TU.nc'
chp='msl'
initncdf, file1, glam = [-180,180]

lo1=-10 & lo2=5 & la1=-30 & la2=40
domdef,lo1,lo2,la1,la2

mois=['Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec']
mo_lon=[31,28,31,30,31,30,31,31,30,31,30,31]
imo=4   ; no du mois
im1=9
j1=total(mo_lon(0:imo-2)) & J2=total(mo_lon(0:im1-2))+mo_lon(im1-1)-1
print,j1,j2

data1 = read_ncdf(chp,j1,j2,/timestep, file = file1)
data2 = read_ncdf(chp,j1,j2,/timestep, file = file2)
data=(2./8.)*data2.arr+(6./8.)*data1.arr
datafin=smooth(data/100.,5) ;smooth(datatot,5)
jpt=max(size(time))
time=timegen(jpt,start=julday(4,1,2001,6,0,0),step_size=1, units='Days')
min=1005 & max=1030 & in=2 ; msl
;min=280 & max=304 & int=5 ; T2
pltt,window=0,datafin,'yt',min,max,int=in,inv=1,title='latitude - time '+chp,/rempli,small=[2,2,no],/noerase

saveimage,'sorties/'+chp+'smooth200604-09hovy10W5E.png',/png 

pltt,window=4,datafin,'xt',title='longitude - time '+chp
saveimage,'sorties/'+chp+'smooth200604-09hovx30-40N.png',/png 

;Hovmoeller r
no=1
chp='r'
lev1=700 & lev2=850
lev=(lev1+lev2)/2.
mois=['Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec']
mo_lon=[31,28,31,30,31,30,31,31,30,31,30,31]
imo=4   ; no du mois
im1=9
j1=total(mo_lon(0:imo-2)) & J2=total(mo_lon(0:im1-2))+mo_lon(im1-1)-1
print,j1,j2
lo1=-10 & lo2=5 & la1=-30 & la2=40
lo1=-30 & lo2=40 & la1=20 & la2=25  ; Hov longitude

file1 = 'stagiaire/climato.r.2002.2007.6TU.nc'
print,file1
initncdf, file1,zaxis='level', glam = [-180,180]
print, gdept
domdef,lo1,lo2,la1,la2,lev1,lev1
data1= read_ncdf(chp,j1,j2,/timestep, file = file1)
domdef,lo1,lo2,la1,la2,lev2,lev2
data2= read_ncdf(chp,j1,j2,/timestep, file = file1)
datamoy1=reform(data1.arr+data2.arr)/2.

; lecture deuxieme fichier (ERA)
file2 = 'stagiaire/climato.r.2000.2001.6TU.nc'
initncdf, file2,zaxis='level', glam = [-180,180]
print, gdept
domdef,lo1,lo2,la1,la2,lev1,lev1
data1 = read_ncdf(chp,j1,j2,/timestep, file = file2)
domdef,lo1,lo2,la1,la2,lev2,lev2
data2 = read_ncdf(chp,j1,j2,/timestep, file = file2)
datamoy2=reform(data1.arr+data2.arr)/2.

data=smooth((2./8.)*datamoy2+(6./8.)*datamoy1,5)
;data=data/100.

jpt=max(size(time))
time=timegen(jpt,start=julday(imo,1,2001,6,0,0),step_size=1, units='Days') 

min=0 & max=100 
pltt,window=0, data,'yt',title='latitude - time '+chp+string(lev1+50,format='(i4)')+' hPa' ,/rempli,min,max,inv=1,small=[2,2,no],/noerase
no=no+1

pltt,window=0, data,'xt',title='latitude - time '+chp+string(lev1+50,format='(i4)')+' hPa' ,/rempli,min,max,inv=1,small=[2,1,no],/noerase

lat1=strcompress(string(la1),/remove_all)
lat2=strcompress(string(la2),/remove_all)
saveimage,'sorties/'+chp+'smooth04-09hovyclim-2meanlevels.png',/png 

saveimage,'sorties/'+chp+'smooth04-09hovxclimSahara-2meanlevels.png',/png 


;geopotentiel : delta entre niveau 700 (7) et 925 hPa
no=2
chp1='geopt'
lev1=700   ; choix du niveau de pression
lev2=925
mois=['Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec']
mo_lon=[31,28,31,30,31,30,31,31,30,31,30,31]
imo=4   ; no du mois
im1=9
j1=total(mo_lon(0:imo-2)) & J2=total(mo_lon(0:im1-2))+mo_lon(im1-1)-1
print,j1,j2
lo1=-10 & lo2=5 & la1=-30 & la2=40
file1 = 'stagiaire/climato.geopt.2002.2007.6TU.nc'
print,file1
initncdf, file1,zaxis='level', glam = [-180,180]
print, gdept
domdef,lo1,lo2,la1,la2,lev1,lev1
data1lev1 = read_ncdf(chp1,j1,j2,/timestep, file = file1)
domdef,lo1,lo2,la1,la2,lev2,lev2
data1lev2 = read_ncdf(chp1,j1,j2,/timestep, file = file1)
data1=data1lev1.arr-data1lev2.arr
; lecture deuxieme fichier (ERA)
chp2='z'
file2 = 'stagiaire/climato.z.2000.2001.6TU.nc'
initncdf, file2,zaxis='level', glam = [-180,180]
print, gdept
domdef,lo1,lo2,la1,la2,lev1,lev1
data2lev1 = read_ncdf(chp2,j1,j2,/timestep, file = file2)
domdef,lo1,lo2,la1,la2,lev2,lev2
data2lev2 = read_ncdf(chp2,j1,j2,/timestep, file = file2)
data2=data2lev1.arr-data2lev2.arr
data=(2./8.)*data2+(6./8.)*data1
jpt=max(size(time))
time=timegen(jpt,start=julday(imo,1,2001,6,0,0),step_size=1, units='Days') 

min=218
max=240
datafin=smooth(data/100.,5)
pltt,window=1, datafin, 'yt',title='latitude - time delta '+chp1,/rempli,min,max,small=[2,2,no],/noerase
saveimage,'sorties/mslgeoptrclimsmoothhovy10W5E.png',/png
;saveimage,'sorties/'+chp+'smooth-2005-200704-09hovy10W5E700.png',/png 



;r (q relative) - moyenne deux niveaux adjacents
no=0
lev=4
no=no+1
datatot2=(reform(datatot(*,*,lev,*))+reform(datatot(*,*,lev+1,*)))/2.
datafin=smooth(datatot2,2)
jpt=max(size(time))
min=0 & max=100 & in=8

;Hovmoeller latitude
pltt,window=1, datafin, 'yt',title='latitude - time '+chp+string(gdept(lev),format='(f4.0)')+string(gdept(lev+1),format='(f4.0)'),/rempli,min,max,int=in,/inv,small=[2,2,no],/noerase

saveimage,'sorties/'+chp+'smooth2006-700-300hovy10W5E.png',/png
;saveimage,'sorties/'+chp+'smooth2005-200704-09hovy10W5E'+string(gdept(lev),format='(f4.0)')+string(gdept(lev+1),format='(f4.0)')+'png',/png 

; Homoeller longitude
pltt,window=4,datafin,'xt',title='longitude - time '+chp+string(gdept(lev),format='(f5.0)')+'hPa',inv=1,min,max,int=10,small=[2,1,no],/rempli,/noerase

lat1=strcompress(string(la1),/remove_all)
lat2=strcompress(string(la2),/remove_all)
saveimage,'sorties/'+chp+'smooth200604-09hovx'+lat1+lat2+'-inv.png',/png 

end
