; docformat = 'rst'
;+
;
; .. _figure09.pro:
;
; ============
; figure09.pro
; ============
;
; plot figure 9 of paper1
;
; :Categories: figure, PNG hoevmuller VARAMMA
;
; :Uses:
;  :ref:`hovmuller.pro`
;
; :Restrictions:
;  - Requires SAXO
;
; :Pre:
;  :ref:`varamma_profile.sh`
;
;  for AMSU dataset be sure to have :file:`{c}{x}.an{yyyy}.nc`
;  in the directory defined in :file:`${PROJECT_ID}/`
;
; ++ OLR
; ++ ECMWF
;
; :Post:
;  :ref:`varamma_profile.sh`
;
; :Todo:
;
;
; :Examples:
;
; To produce a PNG file :
;
; ::
;
;    figure09
;
; :History:
;
;  $Id: figure09.pro 215 2011-04-26 10:33:10Z pinsard $
;
; - fplod 2009-05-14T15:38:53Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * taking into account :ref:`hovmuller.pro` new timebox keyword
;
; - fplod 2008-12-23T15:47:59Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * add ubox keywords required by hovmuller.pro
;
; - fplod 2008-08-13T08:41:22Z zeus.locean-ipsl.upmc.fr (Linux)
;
;   * more concrete action inspired by figure08.pro
;
; - fplod 2008-08-11T15:56:10Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * creation of header not yet ok, just the idea
;
;-
pro figure09,_EXTRA=extra
;
compile_opt idl2, strictarrsubs
;
ifigure=9
;
fullfilename_out=forout('figure' + string(ifigure,format='(I2.2)')+ '.png', _EXTRA=extra)
IF (fullfilename_out EQ -1) THEN BEGIN
 RETURN
ENDIF
;
hovmuller, 'AMSU', 'b5', timebox=[20060401L,20061031L], axe='longitude', ubox=[-30.,+40.,-30.,45.], small=[2,3,1],/nosave
hovmuller, 'AMSU', 'b3', timebox=[20060401L,20061031L], axe='longitude', ubox=[-30.,+40.,-30.,45.], small=[2,3,2],/noerase,/nosave
hovmuller, 'OLR', 'n.a', timebox=[20060401L,20061031L], axe='longitude', ubox=[-30.,+40.,-30.,45.], small=[2,3,3],/noerase,/nosave
;++hovmuller, 'ECMWF', 'rh', '700-800', timebox=[20060401L,20061031L], ubox=[-30.,+40.,-30.,45.], small=[2,3,5],/noerase,/nosave
;++hovmuller, 'ECMWF', 'rh', '300-400', timebox=[20060401L,20061031L], ubox=[-30.,+40.,-30.,45.], small=[2,3,6],/noerase,/nosave
;
saveimage, fullfilename_out,/png
;
end
