; docformat = 'rst'
;+
; .. _read_amsub1c.pro:
;
; ================
; read_amsub1c.pro
; ================
;
; Reads AMSU-B Level 1C Data from AAPP-formatted input
; Ralf Bennartz 21 May 1999
;
; :Param:
;   filename
;   flag2
;
; :Uses:
;
; :Restrictions:
;
; :Pre:
;
; :Post:
;
; :Todo:
;
; make it work !
;
; :Examples:
;
; ::
;
;    
;
; :History:
;
;  $Id: read_amsub1c.pro 66 2010-07-01 16:00:27Z pinsard $
;
; - fplod 20100701T130054Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * minimal header
;
;-
PRO read_amsub1c,filename, flag2
;
;
    COMMON amsub_header,amb_head
    COMMON amsub_data  ,amb_scan

    ;
    ; Open input file
    ;
    OPENR,1,filename, ERROR = error
IF (error NE 0) then begin
   ras = report(['eee : can not open for reading'$
         + '!C' $
         + 'code : ' + !ERROR_STATE.MSG $
         + filename])
   STOP
ENDIF

    ;
    ; Define and read in header structure
    ;
    define_amsub_header_struct
    READU,1, amb_head   
   ; byteorder,amb_head,/Lswap
    ;
    ; Define and read in data structure
    ;
    define_amsub_struct,one_scanb,flag2
	if (flag2 eq 0) then goto, pb_file
;    READU,1,amb1cdt
     ;
     ; read each scanline sperately
     ;
    FOR i = 0L,amb_head.h_scnlin-1 DO BEGIN 
  ;	if (eof(1) eq 0) then goto, pb_file
      READU,1,one_scanb 
    ;  byteorder,one_scanb,/Lswap
      amb_scan(i) = one_scanb
;      STOP   
    ENDFOR
    ;
    ; Close input file
    
    pb_file:
	
    CLOSE,1

END
